Bug 1379553 (CVE-2016-9180)

Summary: CVE-2016-9180 perl-XML-Twig: expand_external_ents option fails to work as documented
Product: [Other] Security Response Reporter: Doran Moppert <dmoppert>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: carnil, cweyl, jplesnik, perl-devel, perl-maint-list, ppisar, psabata, sardella
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in perl-XML-Twig. External entity expansion (XXE) took place regardless of the setting 'expand_external_ents', which was supposed to disable this functionality if set to 0 (the default) or -1. An attacker could craft an XML message which, when processed by an application using perl-XML-Twig, could cause denial of service or, potentially, information disclosure.
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-11-17 02:47:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1379554    
Bug Blocks: 1377998    

Description Doran Moppert 2016-09-27 06:49:56 UTC
The option to `expand_external_ents`, documented as controlling external entity
expansion in XML::Twig does not work.  External entities are always expanded,
regardless of the option's setting.

Upstream bug:

https://rt.cpan.org/Public/Bug/Display.html?id=118097

Comment 1 Doran Moppert 2016-09-27 06:52:24 UTC
Created perl-XML-Twig tracking bugs for this issue:

Affects: fedora-all [bug 1379554]

Comment 2 Doran Moppert 2016-11-17 01:34:02 UTC
Statement:

Red Hat Product Security has rated this issue as having Moderate security
impact. This issue is not currently planned to be addressed in future
updates. For additional information, refer to the Issue Severity
Classification: https://access.redhat.com/security/updates/classification/.

Comment 3 Doran Moppert 2016-11-17 01:34:09 UTC
Acknowledgments:

Name: Doran Moppert (Red Hat Product Security Team)

Comment 4 Petr Pisar 2017-07-26 14:20:32 UTC
Upstream released 3.50 that added no_xxe flag that implements the desired behavior, but expand_external_ents flag, subject of this vulnerability, still has no effect.

So while XML-Twig >= 3.50 can now be used safely, the reported bug still exists.